Skip to content

List thermal alerts

GET
/v1/thermal/alerts
curl --request GET \
--url 'https://api.datacenter.butlr.io/v1/thermal/alerts?severity=warning&status=open&kind=temperature' \
--header 'Authorization: Bearer <token>'
hall_id
string
sensor_key
string
severity
string
Allowed values: warning critical
status
string
Allowed values: open resolved
kind
string
Allowed values: temperature offline
from
string

Unix milliseconds or RFC 3339.

to
string

Unix milliseconds or RFC 3339.

limit
integer
>= 1 <= 200

Authorized alert list

Missing, invalid, expired, or revoked token

Media typeapplication/json
object
message
string
key
additional properties
any

Example generated

{
"message": "example"
}

Route, operation, or resource is outside the token’s read-only organization scope

Media typeapplication/json
object
message
string
key
additional properties
any

Example generated

{
"message": "example"
}

Request rate exceeded; honor Retry-After

Media typeapplication/json
object
message
string
key
additional properties
any

Example generated

{
"message": "example"
}